<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Detail extends Front
{

    public function _initialize()
    {
        // 移除标签
        $this->request->filter('trim,strip_tags,htmlspecialchars');
        // 继承上级
        parent::_initialize();
    }
    
    public function index()
    {
        if( isset($this->query['id']) ){
            $info = articleId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $info = articleSlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $info = articleName($this->query['name']);
        }else{
            $this->error(lang('mustIn'),'cms/index/index');
        }
        //数据判断
        if(!$info){
            $this->error(lang('empty'),'cms/index/index');
        }
        //SEO标签
        $info['info_title'] = cmsSeo(DcEmpty($info['info_title'],$info['info_name']));
        $info['info_keywords'] = cmsSeo(DcEmpty($info['info_keywords'],$info['info_name']));
        $info['info_description'] = cmsSeo(DcEmpty($info['info_description'],$info['info_name']));
        //模板名称
        $info['info_type'] = DcEmpty($info['info_type'], 'index');
        //分享链接
        if(DcBool(config('common.app_domain'))){
            $info['info_share_url'] = cmsUrlDetail($info);
        }else{
            $info['info_share_url'] = $this->site['domain'].cmsUrlDetail($info);
        }
        //增加人气值
        cmsInfoInc($info['info_id'],'info_views');
        //变量赋值
        $this->assign($info);
        //加载模板
        return $this->fetch(DcEmpty($info['info_tpl'],$info['info_type']));
    }
}