<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Page extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    public function index()
    {
        if( isset($this->query['id']) ){
            $info = cmsPageId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $info = cmsPageSlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $info = cmsPageName($this->query['name']);
        }else{
            $this->error(lang('mustIn'),'cms/index/index');
        }
        //数据判断
        if(!$info){
            $this->error(lang('empty'),'cms/index/index');
        }
        //SEO标签
        $info['info_title'] = cmsSeo(DcEmpty($info['info_title'],$info['info_name']));
        $info['info_keywords'] = cmsSeo(DcEmpty($info['info_keywords'],$info['info_name']));
        $info['info_description'] = cmsSeo(DcEmpty($info['info_description'],$info['info_name']));
        //模板名称
        $info['info_tpl'] = DcEmpty($info['info_tpl'],'index');
        //分享链接
        if(DcBool(config('common.app_domain'))){
            $info['info_share_url'] = cmsUrlDetail($info);
        }else{
            $info['info_share_url'] = $this->site['domain'].cmsUrlDetail($info);
        }
        //增加人气值
        cmsInfoInc($info['info_id'],'info_views');
        //变量赋值与加载模板
        $this->assign($info);
        return $this->fetch($info['info_tpl']);
    }
    
    //自定义
    public function _empty($name)
    {
        return $this->fetch();
    }
  
}