<?php
namespace app\cms\event;

use think\Controller;

class Article extends Controller
{
    protected $query = [];
    
    public function _initialize()
    {
        $this->query = $this->request->param();

        parent::_initialize();
    }
    
    public function create()
    {
        
        $this->assign('query', $this->query);
        
        $this->assign('items', model('cms/Article','loglic')->items($this->query));

		return $this->fetch('cms@article/create');
    }
    
    public function save()
    {

        if( !articleSave(input('post.'), true) ){
            $this->error(\daicuo\Info::getError());
        }

        $this->success(lang('success'));
    }
    
    public function delete()
    {
        articleDelete(input('id/a'));
        
        $this->success(lang('success'));
    }
    
    public function edit()
    {
        if(!$info_id = input('id/d',0)){
            $this->error(lang('mustIn'));
        }
        
        //查询数据
        $data = articleId($info_id);
        if( is_null($data) ){
            $this->error(lang('empty'));
        }
        
        //定义变量
        $this->assign('data', $data);
        
        $this->assign('items', model('cms/Article','loglic')->items($data));
        
        return $this->fetch('cms@article/edit');
    }
    
    public function update()
    {
        if( !articleUpdate(input('post.'), true) ){
            $this->error(\daicuo\Info::getError());
        }
        $this->success(lang('success'));
    }
    
    public function preview()
    {
        if( !$info_id = input('id/d',0) ){
            $this->error(lang('mustIn'));
        }
        //去掉后台入口文件
        $url = str_replace($this->request->baseFile(), '', cmsUrlDetail(articleId($info_id)));
        //跳转至前台
        $this->redirect($url,302);
    }
    
    public function index()
    {
        if($this->request->isAjax()){
            $args = array();
            $args['cache']   = false;
            $args['limit']   = DcEmpty($this->query['pageSize'], 30);
            $args['page']    = DcEmpty($this->query['pageNumber'], 1);
            $args['sort']    = DcEmpty($this->query['sortName'], 'info_id');
            $args['order']   = DcEmpty($this->query['sortOrder'], 'desc');
            $args['search']  = $this->query['searchText'];
            //查询数据
            $list = articleSelect($args);
            if( is_null($list) ){
                return json(['total'=>0,'data'=>'']);
            }
            return json($list);
		}
        //地址栏参数
        $this->assign('query', $this->query);
        //表单筛选字段
        $this->assign('items', model('cms/Article','loglic')->items($this->query));
        //表格列字段
        $this->assign('columns', model('cms/Article','loglic')->columns($this->query));
        //加载模板
		return $this->fetch('cms@article/index');
	}
}