<?php
namespace app\cms\event;

use think\Controller;

class Navs extends Controller
{
    protected $query = [];
    
    public function _initialize()
    {
        $this->query = $this->request->param();

        parent::_initialize();
    }
    
    public function create()
    {
        $this->assign('query', $this->query);
        
        $this->assign('items', model('cms/Navs','loglic')->items($this->query));

		return $this->fetch('cms@navs/create');
    }
    
    public function save()
    {

        config('common.validate_name', 'cms/Navs');
        
        config('common.validate_scene', 'save');
        
        config('common.where_slug_unique', ['term_type'=>['eq','navs']]);
        
        $term_id = \daicuo\Term::save(input('post.'));
        
		if($term_id < 1){
			$this->error(\daicuo\Term::getError());
		}
        
		$this->success(lang('success'));
    }
    
    public function delete()
    {
        $ids = input('id/a');
		if(!$ids){
			$this->error(lang('mustIn'));
		}
        
        \daicuo\Term::delete_ids($ids);
        
        $this->success(lang('success'));
    }
    
    public function edit()
    {
        if(!$info_id = input('id/d',0)){
            $this->error(lang('mustIn'));
        }
        
        //查询数据
        $data = DcTermFindId($info_id);
        if( is_null($data) ){
            $this->error(lang('empty'));
        }
        
        //定义变量
        $this->assign('data', $data);
        
        $this->assign('items', model('cms/Navs','loglic')->items($data));
        
        return $this->fetch('cms@navs/edit');
    }
    
    public function update()
    {
        $data = input('post.');
        if(!$data['term_id']){
            $this->error(lang('mustIn'));
        }
        
        config('common.validate_name', 'cms/Navs');
        
        config('common.validate_scene', 'save');
        
        config('common.where_slug_unique', ['term_type'=>['eq','navs']]);
        
        if( !\daicuo\Term::update_id($data['term_id'], $data) ){
            $this->error(\daicuo\Info::getError());
        }
        $this->success(lang('success'));
    }
    
    public function preview()
    {
        if( !$id = input('id/d',0) ){
            $this->error(lang('mustIn'));
        }
        //快速查询数据
        $navs = cmsNavsId($id);
        if(!$navs){
            $this->error(lang('empty'));
        }
        //去掉后台入口文件
        $url = str_replace($this->request->baseFile(), '', $navs['navs_link']);
        //跳转至前台
        $this->redirect($url,302);
    }
    
    public function index()
    {
        if($this->request->isAjax()){
            $args = array();
            $args['cache']   = false;
            $args['result']  = 'level';
            $args['type']    = 'navs';
            //$args['module']  = 'cms';
            //$args['limit']   = DcEmpty($this->query['pageSize'], 30);
            //$args['page']    = DcEmpty($this->query['pageNumber'], 1);
            $args['sort']    = DcEmpty($this->query['sortName'], 'term_id');
            $args['order']   = DcEmpty($this->query['sortOrder'], 'desc');
            $args['search']  = $this->query['searchText'];
            //URL参数不同条件
            if($this->query['sortName']){
               $args['result']  = 'array'; 
            }
            //扩展字段生成查询参数
            $args['meta_query']    = [];
            foreach( DcArrayFilter($this->query, config('custom_fields.term_meta')) as $key=>$value ){
                if($value){
                    array_push($args['meta_query'], ['key'=>['eq',$key],'value'=>['eq',$value]]);
                }
            }
            //自定义查询条件
            if( $where = DcWhereQuery(['term_module','term_controll','term_action','term_status'], 'eq', $this->query) ){
                $args['where'] = $where;
            }
            //查询数据
            $list = DcTermSelect($args);
            if( is_null($list) ){
                return json(['total'=>0,'data'=>'']);
            }
            return json($list);
		}
        //地址栏参数
        $this->assign('query', $this->query);
        //表单筛选字段
        $this->assign('items', model('cms/Navs','loglic')->items($this->query));
        //表格列字段
        $this->assign('columns', model('cms/Navs','loglic')->columns($this->query));
        //加载模板
		return $this->fetch('cms@navs/index');
	}
}